Bug 1126887 - recovery of VMs after VDSM restart doesn't work on PPC
Summary: recovery of VMs after VDSM restart doesn't work on PPC
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.4
Hardware: ppc64
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.4.4
Assignee: Francesco Romani
QA Contact: Gil Klein
URL:
Whiteboard: virt
Depends On:
Blocks: 1122979 1154665
TreeView+ depends on / blocked
 
Reported: 2014-08-05 14:06 UTC by Michal Skrivanek
Modified: 2015-11-19 02:05 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.4.4_rc
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-24 08:09:06 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31213 ovirt-3.4 ABANDONED vm: add extra recovery checking for ppc Never
oVirt gerrit 31241 master MERGED vm: more generic recovery check Never
oVirt gerrit 31411 ovirt-3.5 MERGED vm: more generic recovery check Never
oVirt gerrit 31421 ovirt-3.4 MERGED vm: more generic recovery check Never

Description Michal Skrivanek 2014-08-05 14:06:05 UTC
x86 vdsm puts "oVirt" into Manufacturer of SMBIOS
on recovery after VDSM restart it's used to identify VDSM's VMs and recovery is attempted

PPC doesn't have SMBIOS and there's no Manufacturer (and no dmidecode at all), so we need to find a different way how to do recovery

Comment 1 Michal Skrivanek 2014-08-05 14:06:55 UTC
one idea is to change the detection to ovirt-guest-agent's channel which seems to be the only unique thing...

Comment 2 Francesco Romani 2014-08-07 10:51:56 UTC
taking the bug

Comment 3 Francesco Romani 2014-08-11 10:38:12 UTC
verification on X86 done and succesfully, verification on PPC pending (lack of host to build packages)

Comment 4 Sandro Bonazzola 2014-09-24 08:09:06 UTC
oVirt 3.4.4 has been released.


Note You need to log in before you can comment on or make changes to this bug.